require 'player'
require 'bullets'
require 'asteroids'
require 'world'

--called once when game is started up
function love.load()
	world_load()
	debugText = "load"
	
	asteroid_create("big")
	asteroid_create("medium")
	asteroid_create("small")
end

--updates objects
function love.update(dt)
	world:update(dt)
	player_update(dt)
	bullets_update(dt)
	asteroids_update(dt)
end

--button presses
function love.keypressed(key)
	--shoot bullets
	if key == (" ") then
		bullet_create()
		debugText = "shoot"
	end
	
	--exit the game when escape is pushed
	if key == ("escape") then
		love.event.push("quit")
	end
	
	if key == ("a") then
		asteroids_create()
	end
end

--draw everything on the screen;
function love.draw()
	player_draw()
	bullets_draw()
	asteroids_draw()
	love.graphics.print("type of a:" .. tostring(debugText), 10, 10)
	love.graphics.print("type of b:" .. tostring(debugText2), 10, 30)
end