function world_load()
	--set up world
	love.graphics.setMode(1024, 768, false, true, 16)
	love.physics.setMeter(100)
	world = love.physics.newWorld(0,0,true)
	world:setCallbacks(beginContact, endContact, preSolve, postSolve)
	
	player_create()
end

--collisions
function beginContact(a, b, coll)
	aBody = a:getBody()
	bBody = b:getBody()
	
	local aBodyFixture = aBody:getFixtureList( )
	local bBodyFixture = bBody:getFixtureList( )
	local aBodyType = aBodyFixture[1]:getUserData()
	local bBodyType = bBodyFixture[1]:getUserData()
	
	if aBodyType == "bullet" and bBodyType == "asteroid" then
		aBodyFixture[1]:setUserData("bullet_D")
	elseif bBodyType == "bullet" and aBodyType == "asteroid" then	
		bBodyFixture[1]:setUserData("bullet_D")	
	end
	
	debugText = aBodyFixture[1]:getUserData()
	debugText2 = bBodyFixture[1]:getUserData()
end

function endContact(a, b, coll)
    debuxText = "collision"
end

function preSolve(a, b, coll)
    debuxText = "collision"
end

function postSolve(a, b, coll)
    debuxText = "collision"
end